function fashion_blogs_openNav() {
  jQuery(".sidenav").addClass('show');
}
function fashion_blogs_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function fashion_blogs_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const fashion_blogs_nav = document.querySelector( '.sidenav' );

      if ( ! fashion_blogs_nav || ! fashion_blogs_nav.classList.contains( 'show' ) ) {
        return;
      }

      const elements = [...fashion_blogs_nav.querySelectorAll( 'input, a, button' )],
        fashion_blogs_lastEl = elements[ elements.length - 1 ],
        fashion_blogs_firstEl = elements[0],
        fashion_blogs_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && fashion_blogs_lastEl === fashion_blogs_activeEl ) {
        e.preventDefault();
        fashion_blogs_firstEl.focus();
      }

      if ( shiftKey && tabKey && fashion_blogs_firstEl === fashion_blogs_activeEl ) {
        e.preventDefault();
        fashion_blogs_lastEl.focus();
      }
    } );
  }
  fashion_blogs_keepFocusInMenu();
} )( window, document );

var btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    btn.addClass('show');
  } else {
    btn.removeClass('show');
  }
});

btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

jQuery(document).ready(function() {
  var owl = jQuery('#top-slider .owl-carousel');
    owl.owlCarousel({
      margin: 0,
      nav: false,
      autoplay:true,
      autoplayTimeout:3000,
      autoplayHoverPause:true,
      loop: true,
      dots:false,
      rtl:true,
      navText : ['<i class="fa fa-lg fa-chevron-left" aria-hidden="true"></i>','<i class="fa fa-lg fa-chevron-right" aria-hidden="true"></i>'],
      responsive: {
        0: {
          items: 1
        },
        600: {
          items: 1
        },
        1024: {
          items: 1
      }
    }
  })
  window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
});
})

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.navigation_header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.navigation_header').addClass("stick_header");
    } else {
      jQuery('.navigation_header').removeClass("stick_header");
    }
  }
});
